# Aranyasen\HL7\Segments\OBR  

OBR segment class
Ref: https://corepointhealth.com/resource-center/hl7-resources/hl7-obr-segment



## Extend:

Aranyasen\HL7\Segment

## Methods

| Name | Description |
|------|-------------|
|[getAssistantResultInterpreter](#obrgetassistantresultinterpreter)||
|[getChargetoPractice](#obrgetchargetopractice)||
|[getCollectionVolume](#obrgetcollectionvolume)||
|[getCollectorIdentifier](#obrgetcollectoridentifier)||
|[getCollectorsComment](#obrgetcollectorscomment)||
|[getDangerCode](#obrgetdangercode)||
|[getDiagnosticServSectID](#obrgetdiagnosticservsectid)||
|[getEscortRequired](#obrgetescortrequired)||
|[getFillerField1](#obrgetfillerfield1)||
|[getFillerField2](#obrgetfillerfield2)||
|[getFillerOrderNumber](#obrgetfillerordernumber)||
|[getID](#obrgetid)||
|[getNumberofSampleContainers](#obrgetnumberofsamplecontainers)||
|[getObservationDateTime](#obrgetobservationdatetime)||
|[getObservationEndDateTime](#obrgetobservationenddatetime)||
|[getOrderCallbackPhoneNumber](#obrgetordercallbackphonenumber)||
|[getOrderingProvider](#obrgetorderingprovider)||
|[getParent](#obrgetparent)||
|[getParentResult](#obrgetparentresult)||
|[getPlacerOrderNumber](#obrgetplacerordernumber)||
|[getPlacerfield1](#obrgetplacerfield1)||
|[getPlacerfield2](#obrgetplacerfield2)||
|[getPlannedPatientTransportComment](#obrgetplannedpatienttransportcomment)||
|[getPrincipalResultInterpreter](#obrgetprincipalresultinterpreter)||
|[getPriority](#obrgetpriority)||
|[getQuantityTiming](#obrgetquantitytiming)||
|[getReasonforStudy](#obrgetreasonforstudy)||
|[getRelevantClinicalInfo](#obrgetrelevantclinicalinfo)||
|[getRequestedDatetime](#obrgetrequesteddatetime)||
|[getResultCopiesTo](#obrgetresultcopiesto)||
|[getResultStatus](#obrgetresultstatus)||
|[getResultsRptStatusChngDateTime](#obrgetresultsrptstatuschngdatetime)||
|[getScheduledDateTime](#obrgetscheduleddatetime)||
|[getSpecimenActionCode](#obrgetspecimenactioncode)||
|[getSpecimenReceivedDateTime](#obrgetspecimenreceiveddatetime)||
|[getSpecimenSource](#obrgetspecimensource)||
|[getTechnician](#obrgettechnician)||
|[getTranscriptionist](#obrgettranscriptionist)||
|[getTransportArranged](#obrgettransportarranged)||
|[getTransportArrangementResponsibility](#obrgettransportarrangementresponsibility)||
|[getTransportLogisticsofCollectedSample](#obrgettransportlogisticsofcollectedsample)||
|[getTransportationMode](#obrgettransportationmode)||
|[getUniversalServiceID](#obrgetuniversalserviceid)||
|[setAssistantResultInterpreter](#obrsetassistantresultinterpreter)||
|[setChargetoPractice](#obrsetchargetopractice)||
|[setCollectionVolume](#obrsetcollectionvolume)||
|[setCollectorIdentifier](#obrsetcollectoridentifier)||
|[setCollectorsComment](#obrsetcollectorscomment)||
|[setDangerCode](#obrsetdangercode)||
|[setDiagnosticServSectID](#obrsetdiagnosticservsectid)||
|[setEscortRequired](#obrsetescortrequired)||
|[setFillerField1](#obrsetfillerfield1)||
|[setFillerField2](#obrsetfillerfield2)||
|[setFillerOrderNumber](#obrsetfillerordernumber)||
|[setID](#obrsetid)||
|[setNumberofSampleContainers](#obrsetnumberofsamplecontainers)||
|[setObservationDateTime](#obrsetobservationdatetime)||
|[setObservationEndDateTime](#obrsetobservationenddatetime)||
|[setOrderCallbackPhoneNumber](#obrsetordercallbackphonenumber)||
|[setOrderingProvider](#obrsetorderingprovider)||
|[setParent](#obrsetparent)||
|[setParentResult](#obrsetparentresult)||
|[setPlacerOrderNumber](#obrsetplacerordernumber)||
|[setPlacerfield1](#obrsetplacerfield1)||
|[setPlacerfield2](#obrsetplacerfield2)||
|[setPlannedPatientTransportComment](#obrsetplannedpatienttransportcomment)||
|[setPrincipalResultInterpreter](#obrsetprincipalresultinterpreter)||
|[setPriority](#obrsetpriority)||
|[setQuantityTiming](#obrsetquantitytiming)||
|[setReasonforStudy](#obrsetreasonforstudy)||
|[setRelevantClinicalInfo](#obrsetrelevantclinicalinfo)||
|[setRequestedDatetime](#obrsetrequesteddatetime)||
|[setResultCopiesTo](#obrsetresultcopiesto)||
|[setResultStatus](#obrsetresultstatus)||
|[setResultsRptStatusChngDateTime](#obrsetresultsrptstatuschngdatetime)||
|[setScheduledDateTime](#obrsetscheduleddatetime)||
|[setSpecimenActionCode](#obrsetspecimenactioncode)||
|[setSpecimenReceivedDateTime](#obrsetspecimenreceiveddatetime)||
|[setSpecimenSource](#obrsetspecimensource)||
|[setTechnician](#obrsettechnician)||
|[setTranscriptionist](#obrsettranscriptionist)||
|[setTransportArranged](#obrsettransportarranged)||
|[setTransportArrangementResponsibility](#obrsettransportarrangementresponsibility)||
|[setTransportLogisticsofCollectedSample](#obrsettransportlogisticsofcollectedsample)||
|[setTransportationMode](#obrsettransportationmode)||
|[setUniversalServiceID](#obrsetuniversalserviceid)||

## Inherited methods

| Name | Description |
|------|-------------|
|__construct|Create a segment.|
|getField|Get the field at index.|
|getFields|Get fields from a segment|
|getName|Get the name of the segment. This is basically the value at index 0|
|setField|Set the field specified by index to value.|
|size|Get the number of fields for this segment, not including the name|



### OBR::getAssistantResultInterpreter  

**Description**

```php
public getAssistantResultInterpreter (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### OBR::getChargetoPractice  

**Description**

```php
public getChargetoPractice (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### OBR::getCollectionVolume  

**Description**

```php
public getCollectionVolume (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### OBR::getCollectorIdentifier  

**Description**

```php
public getCollectorIdentifier (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### OBR::getCollectorsComment  

**Description**

```php
public getCollectorsComment (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### OBR::getDangerCode  

**Description**

```php
public getDangerCode (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### OBR::getDiagnosticServSectID  

**Description**

```php
public getDiagnosticServSectID (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### OBR::getEscortRequired  

**Description**

```php
public getEscortRequired (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### OBR::getFillerField1  

**Description**

```php
public getFillerField1 (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### OBR::getFillerField2  

**Description**

```php
public getFillerField2 (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### OBR::getFillerOrderNumber  

**Description**

```php
public getFillerOrderNumber (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### OBR::getID  

**Description**

```php
public getID (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### OBR::getNumberofSampleContainers  

**Description**

```php
public getNumberofSampleContainers (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### OBR::getObservationDateTime  

**Description**

```php
public getObservationDateTime (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### OBR::getObservationEndDateTime  

**Description**

```php
public getObservationEndDateTime (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### OBR::getOrderCallbackPhoneNumber  

**Description**

```php
public getOrderCallbackPhoneNumber (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### OBR::getOrderingProvider  

**Description**

```php
public getOrderingProvider (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### OBR::getParent  

**Description**

```php
public getParent (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### OBR::getParentResult  

**Description**

```php
public getParentResult (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### OBR::getPlacerOrderNumber  

**Description**

```php
public getPlacerOrderNumber (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### OBR::getPlacerfield1  

**Description**

```php
public getPlacerfield1 (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### OBR::getPlacerfield2  

**Description**

```php
public getPlacerfield2 (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### OBR::getPlannedPatientTransportComment  

**Description**

```php
public getPlannedPatientTransportComment (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### OBR::getPrincipalResultInterpreter  

**Description**

```php
public getPrincipalResultInterpreter (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### OBR::getPriority  

**Description**

```php
public getPriority (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### OBR::getQuantityTiming  

**Description**

```php
public getQuantityTiming (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### OBR::getReasonforStudy  

**Description**

```php
public getReasonforStudy (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### OBR::getRelevantClinicalInfo  

**Description**

```php
public getRelevantClinicalInfo (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### OBR::getRequestedDatetime  

**Description**

```php
public getRequestedDatetime (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### OBR::getResultCopiesTo  

**Description**

```php
public getResultCopiesTo (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### OBR::getResultStatus  

**Description**

```php
public getResultStatus (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### OBR::getResultsRptStatusChngDateTime  

**Description**

```php
public getResultsRptStatusChngDateTime (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### OBR::getScheduledDateTime  

**Description**

```php
public getScheduledDateTime (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### OBR::getSpecimenActionCode  

**Description**

```php
public getSpecimenActionCode (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### OBR::getSpecimenReceivedDateTime  

**Description**

```php
public getSpecimenReceivedDateTime (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### OBR::getSpecimenSource  

**Description**

```php
public getSpecimenSource (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### OBR::getTechnician  

**Description**

```php
public getTechnician (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### OBR::getTranscriptionist  

**Description**

```php
public getTranscriptionist (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### OBR::getTransportArranged  

**Description**

```php
public getTransportArranged (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### OBR::getTransportArrangementResponsibility  

**Description**

```php
public getTransportArrangementResponsibility (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### OBR::getTransportLogisticsofCollectedSample  

**Description**

```php
public getTransportLogisticsofCollectedSample (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### OBR::getTransportationMode  

**Description**

```php
public getTransportationMode (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### OBR::getUniversalServiceID  

**Description**

```php
public getUniversalServiceID (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### OBR::setAssistantResultInterpreter  

**Description**

```php
public setAssistantResultInterpreter (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### OBR::setChargetoPractice  

**Description**

```php
public setChargetoPractice (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### OBR::setCollectionVolume  

**Description**

```php
public setCollectionVolume (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### OBR::setCollectorIdentifier  

**Description**

```php
public setCollectorIdentifier (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### OBR::setCollectorsComment  

**Description**

```php
public setCollectorsComment (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### OBR::setDangerCode  

**Description**

```php
public setDangerCode (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### OBR::setDiagnosticServSectID  

**Description**

```php
public setDiagnosticServSectID (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### OBR::setEscortRequired  

**Description**

```php
public setEscortRequired (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### OBR::setFillerField1  

**Description**

```php
public setFillerField1 (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### OBR::setFillerField2  

**Description**

```php
public setFillerField2 (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### OBR::setFillerOrderNumber  

**Description**

```php
public setFillerOrderNumber (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### OBR::setID  

**Description**

```php
public setID (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### OBR::setNumberofSampleContainers  

**Description**

```php
public setNumberofSampleContainers (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### OBR::setObservationDateTime  

**Description**

```php
public setObservationDateTime (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### OBR::setObservationEndDateTime  

**Description**

```php
public setObservationEndDateTime (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### OBR::setOrderCallbackPhoneNumber  

**Description**

```php
public setOrderCallbackPhoneNumber (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### OBR::setOrderingProvider  

**Description**

```php
public setOrderingProvider (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### OBR::setParent  

**Description**

```php
public setParent (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### OBR::setParentResult  

**Description**

```php
public setParentResult (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### OBR::setPlacerOrderNumber  

**Description**

```php
public setPlacerOrderNumber (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### OBR::setPlacerfield1  

**Description**

```php
public setPlacerfield1 (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### OBR::setPlacerfield2  

**Description**

```php
public setPlacerfield2 (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### OBR::setPlannedPatientTransportComment  

**Description**

```php
public setPlannedPatientTransportComment (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### OBR::setPrincipalResultInterpreter  

**Description**

```php
public setPrincipalResultInterpreter (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### OBR::setPriority  

**Description**

```php
public setPriority (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### OBR::setQuantityTiming  

**Description**

```php
public setQuantityTiming (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### OBR::setReasonforStudy  

**Description**

```php
public setReasonforStudy (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### OBR::setRelevantClinicalInfo  

**Description**

```php
public setRelevantClinicalInfo (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### OBR::setRequestedDatetime  

**Description**

```php
public setRequestedDatetime (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### OBR::setResultCopiesTo  

**Description**

```php
public setResultCopiesTo (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### OBR::setResultStatus  

**Description**

```php
public setResultStatus (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### OBR::setResultsRptStatusChngDateTime  

**Description**

```php
public setResultsRptStatusChngDateTime (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### OBR::setScheduledDateTime  

**Description**

```php
public setScheduledDateTime (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### OBR::setSpecimenActionCode  

**Description**

```php
public setSpecimenActionCode (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### OBR::setSpecimenReceivedDateTime  

**Description**

```php
public setSpecimenReceivedDateTime (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### OBR::setSpecimenSource  

**Description**

```php
public setSpecimenSource (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### OBR::setTechnician  

**Description**

```php
public setTechnician (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### OBR::setTranscriptionist  

**Description**

```php
public setTranscriptionist (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### OBR::setTransportArranged  

**Description**

```php
public setTransportArranged (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### OBR::setTransportArrangementResponsibility  

**Description**

```php
public setTransportArrangementResponsibility (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### OBR::setTransportLogisticsofCollectedSample  

**Description**

```php
public setTransportLogisticsofCollectedSample (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### OBR::setTransportationMode  

**Description**

```php
public setTransportationMode (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### OBR::setUniversalServiceID  

**Description**

```php
public setUniversalServiceID (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />

