# Aranyasen\HL7\Segments\OBX  

OBX segment class
Ref: https://corepointhealth.com/resource-center/hl7-resources/hl7-obx-segment



## Extend:

Aranyasen\HL7\Segment

## Methods

| Name | Description |
|------|-------------|
|[getAbnormalFlags](#obxgetabnormalflags)||
|[getDataLastObsNormalValues](#obxgetdatalastobsnormalvalues)||
|[getDateTimeOfTheObservation](#obxgetdatetimeoftheobservation)||
|[getID](#obxgetid)||
|[getNatureOfAbnormalTest](#obxgetnatureofabnormaltest)||
|[getObservationIdentifier](#obxgetobservationidentifier)||
|[getObservationMethod](#obxgetobservationmethod)||
|[getObservationSubId](#obxgetobservationsubid)||
|[getObservationValue](#obxgetobservationvalue)||
|[getObserveResultStatus](#obxgetobserveresultstatus)||
|[getProbability](#obxgetprobability)||
|[getProducersId](#obxgetproducersid)||
|[getReferenceRange](#obxgetreferencerange)||
|[getResponsibleObserver](#obxgetresponsibleobserver)||
|[getUnits](#obxgetunits)||
|[getUserDefinedAccessChecks](#obxgetuserdefinedaccesschecks)||
|[getValueType](#obxgetvaluetype)||
|[setAbnormalFlags](#obxsetabnormalflags)||
|[setDataLastObsNormalValues](#obxsetdatalastobsnormalvalues)||
|[setDateTimeOfTheObservation](#obxsetdatetimeoftheobservation)||
|[setID](#obxsetid)||
|[setNatureOfAbnormalTest](#obxsetnatureofabnormaltest)||
|[setObservationIdentifier](#obxsetobservationidentifier)||
|[setObservationMethod](#obxsetobservationmethod)||
|[setObservationSubId](#obxsetobservationsubid)||
|[setObservationValue](#obxsetobservationvalue)||
|[setObserveResultStatus](#obxsetobserveresultstatus)||
|[setProbability](#obxsetprobability)||
|[setProducersId](#obxsetproducersid)||
|[setReferenceRange](#obxsetreferencerange)||
|[setResponsibleObserver](#obxsetresponsibleobserver)||
|[setUnits](#obxsetunits)||
|[setUserDefinedAccessChecks](#obxsetuserdefinedaccesschecks)||
|[setValueType](#obxsetvaluetype)||

## Inherited methods

| Name | Description |
|------|-------------|
|__construct|Create a segment.|
|getField|Get the field at index.|
|getFields|Get fields from a segment|
|getName|Get the name of the segment. This is basically the value at index 0|
|setField|Set the field specified by index to value.|
|size|Get the number of fields for this segment, not including the name|



### OBX::getAbnormalFlags  

**Description**

```php
public getAbnormalFlags (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### OBX::getDataLastObsNormalValues  

**Description**

```php
public getDataLastObsNormalValues (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### OBX::getDateTimeOfTheObservation  

**Description**

```php
public getDateTimeOfTheObservation (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### OBX::getID  

**Description**

```php
public getID (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### OBX::getNatureOfAbnormalTest  

**Description**

```php
public getNatureOfAbnormalTest (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### OBX::getObservationIdentifier  

**Description**

```php
public getObservationIdentifier (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### OBX::getObservationMethod  

**Description**

```php
public getObservationMethod (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### OBX::getObservationSubId  

**Description**

```php
public getObservationSubId (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### OBX::getObservationValue  

**Description**

```php
public getObservationValue (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### OBX::getObserveResultStatus  

**Description**

```php
public getObserveResultStatus (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### OBX::getProbability  

**Description**

```php
public getProbability (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### OBX::getProducersId  

**Description**

```php
public getProducersId (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### OBX::getReferenceRange  

**Description**

```php
public getReferenceRange (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### OBX::getResponsibleObserver  

**Description**

```php
public getResponsibleObserver (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### OBX::getUnits  

**Description**

```php
public getUnits (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### OBX::getUserDefinedAccessChecks  

**Description**

```php
public getUserDefinedAccessChecks (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### OBX::getValueType  

**Description**

```php
public getValueType (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### OBX::setAbnormalFlags  

**Description**

```php
public setAbnormalFlags (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### OBX::setDataLastObsNormalValues  

**Description**

```php
public setDataLastObsNormalValues (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### OBX::setDateTimeOfTheObservation  

**Description**

```php
public setDateTimeOfTheObservation (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### OBX::setID  

**Description**

```php
public setID (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### OBX::setNatureOfAbnormalTest  

**Description**

```php
public setNatureOfAbnormalTest (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### OBX::setObservationIdentifier  

**Description**

```php
public setObservationIdentifier (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### OBX::setObservationMethod  

**Description**

```php
public setObservationMethod (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### OBX::setObservationSubId  

**Description**

```php
public setObservationSubId (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### OBX::setObservationValue  

**Description**

```php
public setObservationValue (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### OBX::setObserveResultStatus  

**Description**

```php
public setObserveResultStatus (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### OBX::setProbability  

**Description**

```php
public setProbability (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### OBX::setProducersId  

**Description**

```php
public setProducersId (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### OBX::setReferenceRange  

**Description**

```php
public setReferenceRange (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### OBX::setResponsibleObserver  

**Description**

```php
public setResponsibleObserver (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### OBX::setUnits  

**Description**

```php
public setUnits (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### OBX::setUserDefinedAccessChecks  

**Description**

```php
public setUserDefinedAccessChecks (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### OBX::setValueType  

**Description**

```php
public setValueType (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />

