# Aranyasen\HL7\Segments\ORC  

ORC segment class
Ref: http://hl7-definition.caristix.com:9010/Default.aspx?version=HL7%20v2.5.1&segment=ORC



## Extend:

Aranyasen\HL7\Segment

## Methods

| Name | Description |
|------|-------------|
|[getActionBy](#orcgetactionby)||
|[getAdvancedBeneficiaryNoticeCode](#orcgetadvancedbeneficiarynoticecode)||
|[getAdvancedBeneficiaryNoticeOverrideReason](#orcgetadvancedbeneficiarynoticeoverridereason)||
|[getCallBackPhoneNumber](#orcgetcallbackphonenumber)||
|[getConfidentialityCode](#orcgetconfidentialitycode)||
|[getDateTimeofTransaction](#orcgetdatetimeoftransaction)||
|[getEnteredBy](#orcgetenteredby)||
|[getEntererAuthorizationMode](#orcgetentererauthorizationmode)||
|[getEnterersLocation](#orcgetentererslocation)||
|[getEnteringDevice](#orcgetenteringdevice)||
|[getEnteringOrganization](#orcgetenteringorganization)||
|[getFillerOrderNumber](#orcgetfillerordernumber)||
|[getFillersExpectedAvailabilityDateTime](#orcgetfillersexpectedavailabilitydatetime)||
|[getOrderControl](#orcgetordercontrol)||
|[getOrderControlCodeReason](#orcgetordercontrolcodereason)||
|[getOrderEffectiveDateTime](#orcgetordereffectivedatetime)||
|[getOrderStatus](#orcgetorderstatus)||
|[getOrderStatusModifier](#orcgetorderstatusmodifier)||
|[getOrderType](#orcgetordertype)||
|[getOrderingFacilityAddress](#orcgetorderingfacilityaddress)||
|[getOrderingFacilityName](#orcgetorderingfacilityname)||
|[getOrderingFacilityPhoneNumber](#orcgetorderingfacilityphonenumber)||
|[getOrderingProvider](#orcgetorderingprovider)||
|[getOrderingProviderAddress](#orcgetorderingprovideraddress)||
|[getParentOrder](#orcgetparentorder)||
|[getParentUniversalServiceIdentifier](#orcgetparentuniversalserviceidentifier)||
|[getPlacerGroupNumber](#orcgetplacergroupnumber)||
|[getPlacerOrderNumber](#orcgetplacerordernumber)||
|[getQuantityTiming](#orcgetquantitytiming)||
|[getResponseFlag](#orcgetresponseflag)||
|[getVerifiedBy](#orcgetverifiedby)||
|[setActionBy](#orcsetactionby)||
|[setAdvancedBeneficiaryNoticeCode](#orcsetadvancedbeneficiarynoticecode)||
|[setAdvancedBeneficiaryNoticeOverrideReason](#orcsetadvancedbeneficiarynoticeoverridereason)||
|[setCallBackPhoneNumber](#orcsetcallbackphonenumber)||
|[setConfidentialityCode](#orcsetconfidentialitycode)||
|[setDateTimeofTransaction](#orcsetdatetimeoftransaction)||
|[setEnteredBy](#orcsetenteredby)||
|[setEntererAuthorizationMode](#orcsetentererauthorizationmode)||
|[setEnterersLocation](#orcsetentererslocation)||
|[setEnteringDevice](#orcsetenteringdevice)||
|[setEnteringOrganization](#orcsetenteringorganization)||
|[setFillerOrderNumber](#orcsetfillerordernumber)||
|[setFillersExpectedAvailabilityDateTime](#orcsetfillersexpectedavailabilitydatetime)||
|[setOrderControl](#orcsetordercontrol)||
|[setOrderControlCodeReason](#orcsetordercontrolcodereason)||
|[setOrderEffectiveDateTime](#orcsetordereffectivedatetime)||
|[setOrderStatus](#orcsetorderstatus)||
|[setOrderStatusModifier](#orcsetorderstatusmodifier)||
|[setOrderType](#orcsetordertype)||
|[setOrderingFacilityAddress](#orcsetorderingfacilityaddress)||
|[setOrderingFacilityName](#orcsetorderingfacilityname)||
|[setOrderingFacilityPhoneNumber](#orcsetorderingfacilityphonenumber)||
|[setOrderingProvider](#orcsetorderingprovider)||
|[setOrderingProviderAddress](#orcsetorderingprovideraddress)||
|[setParentOrder](#orcsetparentorder)||
|[setParentUniversalServiceIdentifier](#orcsetparentuniversalserviceidentifier)||
|[setPlacerGroupNumber](#orcsetplacergroupnumber)||
|[setPlacerOrderNumber](#orcsetplacerordernumber)||
|[setQuantityTiming](#orcsetquantitytiming)||
|[setResponseFlag](#orcsetresponseflag)||
|[setVerifiedBy](#orcsetverifiedby)||

## Inherited methods

| Name | Description |
|------|-------------|
|__construct|Create a segment.|
|getField|Get the field at index.|
|getFields|Get fields from a segment|
|getName|Get the name of the segment. This is basically the value at index 0|
|setField|Set the field specified by index to value.|
|size|Get the number of fields for this segment, not including the name|



### ORC::getActionBy  

**Description**

```php
public getActionBy (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### ORC::getAdvancedBeneficiaryNoticeCode  

**Description**

```php
public getAdvancedBeneficiaryNoticeCode (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### ORC::getAdvancedBeneficiaryNoticeOverrideReason  

**Description**

```php
public getAdvancedBeneficiaryNoticeOverrideReason (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### ORC::getCallBackPhoneNumber  

**Description**

```php
public getCallBackPhoneNumber (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### ORC::getConfidentialityCode  

**Description**

```php
public getConfidentialityCode (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### ORC::getDateTimeofTransaction  

**Description**

```php
public getDateTimeofTransaction (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### ORC::getEnteredBy  

**Description**

```php
public getEnteredBy (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### ORC::getEntererAuthorizationMode  

**Description**

```php
public getEntererAuthorizationMode (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### ORC::getEnterersLocation  

**Description**

```php
public getEnterersLocation (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### ORC::getEnteringDevice  

**Description**

```php
public getEnteringDevice (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### ORC::getEnteringOrganization  

**Description**

```php
public getEnteringOrganization (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### ORC::getFillerOrderNumber  

**Description**

```php
public getFillerOrderNumber (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### ORC::getFillersExpectedAvailabilityDateTime  

**Description**

```php
public getFillersExpectedAvailabilityDateTime (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### ORC::getOrderControl  

**Description**

```php
public getOrderControl (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### ORC::getOrderControlCodeReason  

**Description**

```php
public getOrderControlCodeReason (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### ORC::getOrderEffectiveDateTime  

**Description**

```php
public getOrderEffectiveDateTime (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### ORC::getOrderStatus  

**Description**

```php
public getOrderStatus (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### ORC::getOrderStatusModifier  

**Description**

```php
public getOrderStatusModifier (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### ORC::getOrderType  

**Description**

```php
public getOrderType (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### ORC::getOrderingFacilityAddress  

**Description**

```php
public getOrderingFacilityAddress (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### ORC::getOrderingFacilityName  

**Description**

```php
public getOrderingFacilityName (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### ORC::getOrderingFacilityPhoneNumber  

**Description**

```php
public getOrderingFacilityPhoneNumber (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### ORC::getOrderingProvider  

**Description**

```php
public getOrderingProvider (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### ORC::getOrderingProviderAddress  

**Description**

```php
public getOrderingProviderAddress (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### ORC::getParentOrder  

**Description**

```php
public getParentOrder (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### ORC::getParentUniversalServiceIdentifier  

**Description**

```php
public getParentUniversalServiceIdentifier (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### ORC::getPlacerGroupNumber  

**Description**

```php
public getPlacerGroupNumber (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### ORC::getPlacerOrderNumber  

**Description**

```php
public getPlacerOrderNumber (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### ORC::getQuantityTiming  

**Description**

```php
public getQuantityTiming (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### ORC::getResponseFlag  

**Description**

```php
public getResponseFlag (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### ORC::getVerifiedBy  

**Description**

```php
public getVerifiedBy (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### ORC::setActionBy  

**Description**

```php
public setActionBy (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### ORC::setAdvancedBeneficiaryNoticeCode  

**Description**

```php
public setAdvancedBeneficiaryNoticeCode (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### ORC::setAdvancedBeneficiaryNoticeOverrideReason  

**Description**

```php
public setAdvancedBeneficiaryNoticeOverrideReason (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### ORC::setCallBackPhoneNumber  

**Description**

```php
public setCallBackPhoneNumber (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### ORC::setConfidentialityCode  

**Description**

```php
public setConfidentialityCode (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### ORC::setDateTimeofTransaction  

**Description**

```php
public setDateTimeofTransaction (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### ORC::setEnteredBy  

**Description**

```php
public setEnteredBy (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### ORC::setEntererAuthorizationMode  

**Description**

```php
public setEntererAuthorizationMode (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### ORC::setEnterersLocation  

**Description**

```php
public setEnterersLocation (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### ORC::setEnteringDevice  

**Description**

```php
public setEnteringDevice (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### ORC::setEnteringOrganization  

**Description**

```php
public setEnteringOrganization (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### ORC::setFillerOrderNumber  

**Description**

```php
public setFillerOrderNumber (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### ORC::setFillersExpectedAvailabilityDateTime  

**Description**

```php
public setFillersExpectedAvailabilityDateTime (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### ORC::setOrderControl  

**Description**

```php
public setOrderControl (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### ORC::setOrderControlCodeReason  

**Description**

```php
public setOrderControlCodeReason (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### ORC::setOrderEffectiveDateTime  

**Description**

```php
public setOrderEffectiveDateTime (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### ORC::setOrderStatus  

**Description**

```php
public setOrderStatus (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### ORC::setOrderStatusModifier  

**Description**

```php
public setOrderStatusModifier (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### ORC::setOrderType  

**Description**

```php
public setOrderType (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### ORC::setOrderingFacilityAddress  

**Description**

```php
public setOrderingFacilityAddress (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### ORC::setOrderingFacilityName  

**Description**

```php
public setOrderingFacilityName (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### ORC::setOrderingFacilityPhoneNumber  

**Description**

```php
public setOrderingFacilityPhoneNumber (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### ORC::setOrderingProvider  

**Description**

```php
public setOrderingProvider (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### ORC::setOrderingProviderAddress  

**Description**

```php
public setOrderingProviderAddress (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### ORC::setParentOrder  

**Description**

```php
public setParentOrder (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### ORC::setParentUniversalServiceIdentifier  

**Description**

```php
public setParentUniversalServiceIdentifier (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### ORC::setPlacerGroupNumber  

**Description**

```php
public setPlacerGroupNumber (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### ORC::setPlacerOrderNumber  

**Description**

```php
public setPlacerOrderNumber (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### ORC::setQuantityTiming  

**Description**

```php
public setQuantityTiming (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### ORC::setResponseFlag  

**Description**

```php
public setResponseFlag (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />


### ORC::setVerifiedBy  

**Description**

```php
public setVerifiedBy (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`

<hr />

